public abstract class Estado {

	public abstract String status();
	public abstract void mudarEstado();
	
	public void operacaoTerminada() {
	}
	
	protected Porta getPorta() {
		return Porta.getInstance();
	}
	
	public void timeout() {
		getPorta().setEstado(Porta.FECHANDO);
		getPorta().fechar();
	}
}
